# we don't want to provide private python extension libs
%global __provides_exclude_from %{python3_sitearch}/.*\\.so

%define srcname	mysqlclient

Summary:	Python interface to MySQL
Name:		python-mysql
Version:	2.2.0
Release:	%mkrel 4
License:	GPLv2
Group:		Development/Python
URL:		https://github.com/PyMySQL/mysqlclient-python
Source0:	https://pypi.io/packages/source/m/mysqlclient/%{srcname}-%{version}.tar.gz
BuildRequires: python3-devel
BuildRequires: mysql-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(python3)

%description
Python interface to MySQL-3.2 and beyond
mysqlclient is a fork of MySQL-python

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0
-     Thread-safety
-     Thread-friendliness (threads will not block each other)
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%package -n python3-mysql
Group:		Development/Python
Summary:	Python3 interface to MySQL
%{?python_provide:%python_provide python3-mysql}

%description -n python3-mysql
Python3 interface to MySQL-3.2 and beyond
mysqlclient is a fork of MySQL-python

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0
-     Thread-safety
-     Thread-friendliness (threads will not block each other)
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files MySQLdb

%files -n python3-mysql -f %{pyproject_files}
%doc README.md doc/*
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.2.0-4.mga10
+ Revision: 2238671
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.2.0-3.mga10
+ Revision: 2155334
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 2.2.0-2.mga10
+ Revision: 2155256
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2017723
- new 3.1.5

* Sun Apr 03 2022 umeabot <umeabot> 1.4.6-6.mga9
+ Revision: 1841222
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.4.6-5.mga9
+ Revision: 1782960
- Rebuild for python-3.10

* Thu Mar 18 2021 neoclust <neoclust> 1.4.6-4.mga9
+ Revision: 1704428
- Rebuild against python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.4.6-3.mga8
+ Revision: 1608285
- rebuild for removing pythonegg buildrequires in srpm

* Tue Feb 18 2020 umeabot <umeabot> 1.4.6-2.mga8
+ Revision: 1538793
- Mageia 8 Mass Rebuild

* Tue Nov 26 2019 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1462938
- new version: 1.4.6

* Thu Nov 14 2019 daviddavid <daviddavid> 1.4.5-1.mga8
+ Revision: 1459942
- new version: 1.4.5

* Wed Sep 18 2019 tv <tv> 1.3.14-4.mga8
+ Revision: 1443245
- rebuild for python-3.8
- drop python2 subpkg
+ joequant <joequant>
- update to python 3.8

* Wed Aug 28 2019 daviddavid <daviddavid> 1.3.14-2.mga8
+ Revision: 1434667
- rename python-mysql to python2-mysql

* Wed Jan 09 2019 shlomif <shlomif> 1.3.14-1.mga7
+ Revision: 1353439
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.12-2.mga7
+ Revision: 1300533
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 wally <wally> 1.3.12-1.mga7
+ Revision: 1184510
-new version 1.3.12
- rebuild for new mariadb
- update provides excludes format

* Sat Aug 05 2017 pterjan <pterjan> 1.3.7-3.mga7
+ Revision: 1135511
- Rebuild for python 3.6

* Sun Jan 10 2016 wally <wally> 1.3.7-2.mga6
+ Revision: 921208
- rebuild to fix segfault in x86_64

* Tue Nov 24 2015 philippem <philippem> 1.3.7-1.mga6
+ Revision: 905844
- update to 1.3.7

* Thu Oct 08 2015 tv <tv> 1.3.6-3.mga6
+ Revision: 887452
- rebuild for python 3.5
+ philippem <philippem>
- don't want to provide private python extension libs

* Sat Sep 26 2015 philippem <philippem> 1.3.6-2.mga6
+ Revision: 883968
- provide and obsolete pythonegg(2)(mysql-python)

* Sat Sep 26 2015 philippem <philippem> 1.3.6-1.mga6
+ Revision: 883964
- Rebase on mysqlclient-1.3.6, provide Python3 subpackage

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-1.c1.13.mga5
+ Revision: 745089
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.3-1.c1.12.mga5
+ Revision: 729142
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-0.c1.12.mga5
+ Revision: 688169
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.3-0.c1.10.mga4
+ Revision: 543647
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.3-0.c1.9.mga4
+ Revision: 498959
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-0.c1.8.mga3
+ Revision: 379157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 dmorgan <dmorgan> 1.2.3-0.c1.7.mga1
+ Revision: 77066
- Rebuild against new mysql

* Fri Mar 04 2011 colin <colin> 1.2.3-0.c1.6.mga1
+ Revision: 64041
- imported package python-mysql


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-0.c1.6mdv2011.0
+ Revision: 627274
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-0.c1.5mdv2011.0
+ Revision: 626555
- rebuilt against mysql-5.5.8 libs

* Wed Dec 29 2010 Colin Guthrie <cguthrie@mandriva.org> 1.2.3-0.c1.4mdv2011.0
+ Revision: 625877
- Rebuild for MySQL 5.5

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.2.3-0.c1.3mdv2011.0
+ Revision: 591928
- rebuild for python 2.7

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Oct 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.3-0.c1.1mdv2010.0
+ Revision: 455454
- new version

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-6mdv2010.0
+ Revision: 442319
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1.2.2-5mdv2009.1
+ Revision: 320138
- rebulid for new python

* Sun Dec 07 2008 Funda Wang <fwang@mandriva.org> 1.2.2-4mdv2009.1
+ Revision: 311539
- do not record files
- build requires python-setuptools

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-4mdv2009.0
+ Revision: 259718
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-3mdv2009.0
+ Revision: 247520
- rebuild

* Mon Feb 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdv2008.1
+ Revision: 174798
- 1.2.2

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.1-0.p2.3mdv2008.1
+ Revision: 136452
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.1-0.p2.3mdv2007.0
+ Revision: 90999
- Rebuild against new python
- import python-mysql-1.2.1-0.p2.2mdv2007.0

* Mon Sep 11 2006 David Walluck <walluck@mandriva.org> 1.2.1-0.p2.2mdv2007.0
- own directory

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-0.p2.1mdv2007.0
- 1.2.1_p2
- renamed from MySQL-python to python-mysql (fixes #21675)

* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 1.2.0-3mdv2007.0
- rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- rebuilt against openssl-0.9.8a

* Wed May 18 2005 Frederic Lepied <flepied@mandriva.com> 1.2.0-1mdk
- New release 1.2.0

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.9.2-5mdk
- Rebuild for new python

* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-4mdk
- added P0 (from fedora)
- misc spec file fixes

* Tue Apr 06 2004 Michael Scherer <misc@mandrake.org> 0.9.2-3mdk 
- remove invalid Tags
- provides python-mysql

